Bug 26729 - When adding a new vendor set focus for cursor to name input box
Summary: When adding a new vendor set focus for cursor to name input box
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-10-18 19:35 UTC by Barbara Johnson
Modified: 2020-11-16 21:42 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch modifies the form for creating a new vendor in acquisitions so that the user's cursor is automatically placed in the first field, the vendor name input.
Version(s) released in:
20.11.00


Attachments
Bug 26729: Add focus class to vendor name field in vendor add form (1.74 KB, patch)
2020-10-19 14:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26729: Add focus class to vendor name field in vendor add form (1.88 KB, patch)
2020-10-19 15:25 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 26729: Add focus class to vendor name field in vendor add form (1.95 KB, patch)
2020-10-19 18:46 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26729: Add focus class to vendor name field in vendor add form (2.01 KB, patch)
2020-10-20 13:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-18 19:35:52 UTC
When adding a new vendor on supplier.pl you have to click in the name input box, which is a required field, so that you can enter text.  It would be more efficient to set the focus for the cursor to always be in the vendor name input box so that you could just begin typing and eliminate an extra click.
Comment 1 Owen Leonard 2020-10-19 14:48:48 UTC Comment hidden (obsolete)
Comment 2 Séverine Queune 2020-10-19 15:25:31 UTC Comment hidden (obsolete)
Comment 3 ByWater Sandboxes 2020-10-19 18:46:53 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2020-10-20 13:23:48 UTC
Created attachment 112036 [details] [review]
Bug 26729: Add focus class to vendor name field in vendor add form

This patch adds the "focus" class to the vendor name field in the form
for adding or editing a vendor in acquisitions.

To test, apply the patch and go to Acquisitions -> New vendor.

On page load the cursor focus should automatically be on the vendor name
field. The same should true when editing an existing vendor.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-11-04 16:33:56 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-16 21:42:16 UTC
enhancement will not be backported to 20.05.x